ros-humble-pmb2-2dnav (4.1.1-2bookworm) bookworm; urgency=high

  * Merge branch 'abr/fix/public-sim' into 'humble-devel'
    fix public sim
    See merge request robots/pmb2_navigation!96
  * fix public sim
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Aug 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.1.0-2bookworm) bookworm; urgency=high

  * Merge branch 'air/unify_pkgs' into 'humble-devel'
    restructure pmb2 launch file
    See merge request robots/pmb2_navigation!95
  * Unify quotation marks
  * Unify quotation marks
  * add launch_pal dependency
  * restructure pmb2 launch file
  * Contributors: Aina, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Aug 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.23-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/aca/pipeline-substitution' into 'humble-devel'
    using variables laser pipeline
    See merge request robots/pmb2_navigation!91
  * reorganized remappings file
  * added device number laser
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 11 Jul 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.22-2bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.21-2bookworm) bookworm; urgency=high

  * Merge branch 'abr/feat/advanced-navigation' into 'humble-devel'
    using costmap with filters
    See merge request robots/pmb2_navigation!93
  * using costmap with filters
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.20-2bookworm) bookworm; urgency=high

  * Merge branch 'abr/feat/rviz-nav' into 'humble-devel'
    move rviz in nav launch file
    See merge request robots/pmb2_navigation!92
  * move rviz in nav launch file
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.19-2bookworm) bookworm; urgency=high

  * fix incorrect map path
  * Contributors: David Brown

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.18-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 02 Jun 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.17-2bookworm) bookworm; urgency=high

  * Merge branch 'fix/aca/public-sim' into 'humble-devel'
    fix public sim
    See merge request robots/pmb2_navigation!88
  * fix public sim
  * Contributors: Noel Jimenez, andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.16-2bookworm) bookworm; urgency=high

  * Merge branch 'fix/aca/module' into 'humble-devel'
    moved module to 00 and fix pal module dep
    See merge request robots/pmb2_navigation!85
  * moved module to 00 and fix pal module dep
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.15-2bookworm) bookworm; urgency=high

  * Merge branch 'abr/feat/deprecate-maps' into 'humble-devel'
    deprecate pmb2_maps
    See merge request robots/pmb2_navigation!84
  * deprecated pmb2_maps
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 28 Apr 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.14-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/variables' into 'humble-devel'
    using variables for pipelines
    See merge request robots/pmb2_navigation!83
  * using variables in lifecycle manager
  * using new variables names
  * using variables
  * Contributors: andreacapodacqua, josegarcia

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Apr 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.13-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/ros2-pipelines' into 'humble-devel'
    Feat/ros2 pipelines
    See merge request robots/pmb2_navigation!82
  * cosmetic and removed unused launch files laser
  * public sim launch change and renamed pipeline
  * fix public_sim condition
  * params laser pipeline and modified slam arg
  * linters
  * modified params
  * linters
  * navigation pipeline integration for private sim
  * fear navigation pipelines
  * navigation pipeline
  * Contributors: andreacapodacqua, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.12-2bookworm) bookworm; urgency=high

  * Merge branch 'abr/fix/world-name' into 'humble-devel'
    set default world_name for standalone navigation
    See merge request robots/pmb2_navigation!80
  * set default world_name for standalone navigation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Feb 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.11-2bookworm) bookworm; urgency=high

  * Merge branch 'fix/pal_nav2_bringup' into 'humble-devel'
    Use pal_nav2_bringup only for private simulation
    See merge request robots/pmb2_navigation!79
  * Use pal_nav2_bringup only for private simulation
  * Contributors: Noel Jimenez, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.10-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/register-components' into 'humble-devel'
    using components and parameters
    See merge request robots/pmb2_navigation!78
  * linters
  * removing defaults
  * update remappings for real robot
  * simplify launch files and adapt for public_sim
  * adding nav config for composition and standalone
  * using pal_nav2_bringup
  * using components and parameters
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.9-2bookworm) bookworm; urgency=high

  * Merge branch 'fix/clean' into 'humble-devel'
    Clean old scripts
    See merge request robots/pmb2_navigation!77
  * Clean old scripts
  * Contributors: Noel Jimenez, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.8-2bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.7-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.6-2bookworm) bookworm; urgency=high

  * Merge branch 'remove_pal_flags_dependency' into 'humble-devel'
    Remove pal flags dependency
    See merge request robots/pmb2_navigation!72
  * Remove pal flags dependency
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Sep 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.5-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/laser-filters' into 'humble-devel'
    using laser filters in simulation
    See merge request robots/pmb2_navigation!70
  * changed is_public_sim arg order
  * clarifying remapping file usage
  * declaring is_sim before using it
  * added private dependencies
  * added is_public_sim argument
  * added is_public_sim
  * updated dependencies and rviz config
  * using sim bringup
  * fix linter
  * start laser filters for simulation
  * using laser filters in simulation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jun 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.4-2bookworm) bookworm; urgency=high

  * Setting odom topic
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.3-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 13 Apr 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.2-2bookworm) bookworm; urgency=high

  * Merge branch 'laser_migration' into 'humble-devel'
    Migrate laser_sensors
    See merge request robots/pmb2_navigation!66
  * removed commented deps
  * sick_tim laser migration
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 04 Apr 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.1-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/nav' into 'humble-devel'
    Using pal_navigation_cfg
    See merge request robots/pmb2_navigation!64
  * Using pal_navigation_cfg
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 02 Apr 2023 16:00:00 -0000

ros-humble-pmb2-2dnav (4.0.0-2bookworm) bookworm; urgency=high

  * Merge pull request #1 from jmguerreroh/humble-devel
    Enhancing Tiago's navigation parameters
  * Updating Tiago parameters
  * Enhancing Tiago's navigation parameters
  * Contributors: Sai Kishor Kothakota, jmguerreroh

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 14 Dec 2022 16:00:00 -0000

ros-humble-pmb2-2dnav (3.0.2-2bookworm) bookworm; urgency=high

  * Merge branch 'missing_dependency' into 'humble-devel'
    add missing dependency
    See merge request robots/pmb2_navigation!58
  * add missing dependencies
  * Merge branch 'initial_pose' into 'humble-devel'
    Set initial pose automatically
    See merge request robots/pmb2_navigation!57
  * set initial pose automatically
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request robots/pmb2_navigation!56
  * update package format
  * update copyright
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/pmb2_navigation!55
  * update maintainers
  * Merge branch 'fix_robot_model_type' into 'humble-devel'
    humble fixes
    See merge request robots/pmb2_navigation!54
  * linters
  * use args for rviz
  * update nav2 params file
  * update nav2_bringup arguments
  * update robot_model_type for humble
  * Merge branch 'fix_bt_navigator' into 'galactic-devel'
    fix  bt_navigator libraries
    See merge request robots/pmb2_navigation!52
  * undo change transform_timeout
  * add bt_navigator libraries
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Oct 2022 16:00:00 -0000

ros-humble-pmb2-2dnav (3.0.1-2bookworm) bookworm; urgency=high

  * Add missing ament_cmake_auto dependency
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 13 Jul 2021 16:00:00 -0000

ros-humble-pmb2-2dnav (3.0.0-2bookworm) bookworm; urgency=high

  * Remove ROS1 launch files
  * Comment dependencies pending to be migrated to ROS2
  * Fix costmaps and increase max velocity
  * Revert "Fix usage of map argument"
    This reverts commit 22d9e4a02b93fa5e9016738312538740a8c7e376.
    Specifying full path is more work but more flexible
  * Fix usage of map argument
  * Reduce max speeds to avoid crashing into walls
    A similara issue seems to be reported in:
    https://github.com/ros-planning/navigation2/issues/938
    Probably we need more tunning for our robot and/or a different
    controller
  * Fixes for slam
  * More linter fixes
  * Remove hard coded map
  * First working pmb2_nav_bringup launch file
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.8-2bookworm) bookworm; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_navigation!46
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 29 Jul 2020 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.7-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 01 Jul 2020 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.6-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 01 Apr 2020 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.5-2bookworm) bookworm; urgency=high

  * passing subtype parameter to move_base
  * Contributors: federiconardi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Nov 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.4-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 30 Sep 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.3-2bookworm) bookworm; urgency=high

  * use scan_raw for mapping
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 22 Sep 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.2-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Sep 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.1-2bookworm) bookworm; urgency=high

  * Merge branch 'multi_pmb2' into 'erbium-devel'
    Add multi pmb2 navigation
    See merge request robots/pmb2_navigation!40
  * Add multi pmb2 navigation
  * Contributors: Adria Roig, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Jul 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (2.0.0-2bookworm) bookworm; urgency=high

  * added pal_navigation_cfg_pmb2 dependency
  * moved config and launch to pal_navigation_cfg_pmb2
  * Contributors: Procópio Stein, Sai Kishor Kothakota

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 16 Jun 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (1.0.6-2bookworm) bookworm; urgency=high

  * Merge branch 'update_adv_nav' into 'erbium-devel'
    Update AdvNav Rviz config
    See merge request robots/pmb2_navigation!38
  * Update AdvNav Rviz config
  * Contributors: Victor Lopez, davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 19 May 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (1.0.5-2bookworm) bookworm; urgency=high

  * updated teb config to match tiago's
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 05 May 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (1.0.4-2bookworm) bookworm; urgency=high

  * Merge branch 'update-karto-cfg' into 'erbium-devel'
    updated karto params to improve loop closures
    See merge request robots/pmb2_navigation!36
  * updated karto params to improve loop closures
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Mar 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (1.0.3-2bookworm) bookworm; urgency=high

  * Merge branch 'public_eband_conf' into 'erbium-devel'
    added eband planner config
    See merge request robots/pmb2_navigation!35
  * added eband planner config
  * Merge branch 'plugin_fix' into 'erbium-devel'
    public simulation plugin fix
    See merge request robots/pmb2_navigation!34
  * public simulation plugin fix
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 24 Jan 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (1.0.2-2bookworm) bookworm; urgency=high

  * Merge branch 'public_sim_kinetic' into 'erbium-devel'
    add Kinetic pulbic simulation changes
    See merge request robots/pmb2_navigation!33
  * add kinetic public simulation changes
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 16 Jan 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (1.0.1-2bookworm) bookworm; urgency=high

  * Fix typo
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 14 Jan 2019 16:00:00 -0000

ros-humble-pmb2-2dnav (1.0.0-2bookworm) bookworm; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Specifics refactor
    See merge request robots/pmb2_navigation!30
  * Cosmetic
  * Add parameters for using rgbd
  * Specify one karto file per laser model
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 18 Dec 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.17-2bookworm) bookworm; urgency=high

  * change the param load order to overrite the karto config
  * activated latch xy for goals
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 18 Dec 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.16-2bookworm) bookworm; urgency=high

  * added sonar layer
  * added sound feedback for loop closure
  * Contributors: Procópio Stein, Sai Kishor Kothakota

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 20 Nov 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.15-2bookworm) bookworm; urgency=high

  * Merge branch 'clear-vo-on-recovery' into 'dubnium-devel'
    added vo clearing in recovery behavior
    See merge request robots/pmb2_navigation!25
  * added vo clearing in recovery behavior
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 19 Oct 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.14-2bookworm) bookworm; urgency=high

  * updated costmaps config to correspond to template generation
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 02 Oct 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.13-2bookworm) bookworm; urgency=high

  * slightly increased max_threshold from 1.5 to 1.8
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Sep 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.12-2bookworm) bookworm; urgency=high

  * changed param name from threshold to max_threshold
  * removed deprecated parameter
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Sep 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.11-2bookworm) bookworm; urgency=high

  * Merge branch 'adjust-plp-params' into 'dubnium-devel'
    increased max threshold and reduced security
    See merge request robots/pmb2_navigation!23
  * increased max threshold and reduced security
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Sep 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.10-2bookworm) bookworm; urgency=high

  * increased plp threshold
  * updated recovery to match cobra, but commented blanking recoveries
  * updated rviz config
  * enabled search alternative goals
  * reduced pub freq of costmaps, cleaned them up
  * adjusted default threshold and sec distance
  * better visualization
  * updated pal_local_planner config
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 16 Sep 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.9-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Jun 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.8-2bookworm) bookworm; urgency=high

  * updated amcl and karto configs for clarity and to match last developments in specifics
  * added odom filter config and changed search path to pmb2_2dnav
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 16 May 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.7-2bookworm) bookworm; urgency=high

  * added slippage related launch files
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 14 May 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.6-2bookworm) bookworm; urgency=high

  * Revert "avoid oscillating global path and prefer shorter paths"
    This reverts commit 0d0601e59441e560ffb56ce15d7cb37bce0a9d71.
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Apr 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.5-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 16 Apr 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.4-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 11 Apr 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.3-2bookworm) bookworm; urgency=high

  * added TEB config
  * disable navigation in unknown
  * added dependency on range layer and teb local planner
  * avoid oscillating global path and prefer shorter paths
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 05 Apr 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.2-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 07 Mar 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.1-2bookworm) bookworm; urgency=high

  * Merge branch 'respawn-move-base' into 'dubnium-devel'
    added respawn flag to move_base.launch
    See merge request robots/pmb2_navigation!11
  * added respawn flag to move_base.launch
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 14 Feb 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.13.0-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 31 Jan 2018 16:00:00 -0000

ros-humble-pmb2-2dnav (0.12.0-2bookworm) bookworm; urgency=high

  * updated parameter due to refactoring in pal-local-planner
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 16 Oct 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.10-2bookworm) bookworm; urgency=high

  * normalized package.xml for all packages
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 26 Sep 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.9-2bookworm) bookworm; urgency=high

  * updated parameters to new pal local planner
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 18 Sep 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.8-2bookworm) bookworm; urgency=high

  * added config base path arg, so it can load params from .pal
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.7-2bookworm) bookworm; urgency=high

  * allow global plan in unkown spaces
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 07 Aug 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.6-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 02 Jul 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.5-2bookworm) bookworm; urgency=high

  * added rotate recovery behavior
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 29 Jun 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.4-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 29 Jun 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.3-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 31 May 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.2-2bookworm) bookworm; urgency=high

  * updated adv nav rviz config
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Apr 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.1-2bookworm) bookworm; urgency=high

  * added advanced nav config
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Apr 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.11.0-2bookworm) bookworm; urgency=high

  * removed legacy move_base configs
  * updated costmap files to match template
  * fixed global planner config file
  * updated rviz navigation config
  * 0.10.4
  * changelogs
  * updated costmap and recovery params
  * fixed robot radius
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 27 Feb 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.10.4-2bookworm) bookworm; urgency=high

  * updated costmap and recovery params
  * fixed robot radius
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 27 Feb 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.10.3-2bookworm) bookworm; urgency=high

  * enhanced navigation config, fixed recovery behaviors
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 23 Feb 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.10.2-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 22 Feb 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.10.1-2bookworm) bookworm; urgency=high

  * removed rgbd launches and config, fixed dependencies
  * minor changes in mapping and localization config
  * better mapping and slam configurations
  * updated local_planner config for enhanced version of planner
  * updated costmap config based on new tiago files
  * add rviz launch file
  * Contributors: Jeremie Deray, Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 22 Feb 2017 16:00:00 -0000

ros-humble-pmb2-2dnav (0.10.0-2bookworm) bookworm; urgency=high

  * use degree
  * Contributors: Jeremie Deray

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 14 Mar 2016 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.15-2bookworm) bookworm; urgency=high

  * missing deps maps
  * Contributors: Jeremie Deray

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 09 Mar 2016 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.14-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 01 Mar 2016 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.13-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Feb 2016 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.12-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Feb 2016 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.11-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Feb 2016 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.10-2bookworm) bookworm; urgency=high

  * final review of parameters with jeremie
  * restoring plugins in costmaps (but commented)
  * correcting errors in pm2_2dnav
    restored amcl laser range to default values, corrected typo in local costmap, removed plugins example
  * minor cleaning in pmb2 navigation files
  * cleaned generic pmb2_2dnav and improved specific pmb2_5_2dnav
  * Contributors: Procopio Stein, procopiostein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Feb 2016 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.9-2bookworm) bookworm; urgency=high

  * disable free space mapping for pmb2 & add warning abt it
  * Fixing localization amcl jumps
  * update rviz conf
  * Custom launch file for pmb2-5
  * Contributors: Jeremie Deray, Luca Marchionni

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 25 Oct 2015 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.8-2bookworm) bookworm; urgency=high

  * typo
  * add slam graph display to rviz
  * amcl laser min/max range
  * karto laser max_range
  * karto map free space
  * reduce global inflation radius
  * reduce visualization pub rate
  * amcl config add param defaut value + comments
  * rviz do not display sonar/rgbd related stuff
  * do not launch xtion related stuff
  * deactivate rgbd layer for costmaps
  * Add laser classification displays
  * Sync filter script with ant
  * Sync with ant_2dnav
  * Add covariance (odometry + pose) displays
    NOTE they are disabled by default because they have some issues yet
    with the 6DOF mode property, which is not disabled properly on startup
  * Update layout and add inertia + CoM marker
  * Update rviz layout
  * Increase the number of sonars from 3 to 5
  * Contributors: Enrique Fernandez, Jeremie Deray

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 30 Sep 2015 16:00:00 -0000

ros-humble-pmb2-2dnav (0.9.7-2bookworm) bookworm; urgency=high

  * Replace ant -> pmb2
  * Rename files
  * Contributors: Enrique Fernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 01 Feb 2015 16:00:00 -0000


